gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.PtrArray

Contents

- Exported types
- Methods
- Properties
  - len
  - pdata

Description

Contains the public fields of a pointer array.

Synopsis

- newtype PtrArray = PtrArray (ManagedPtr PtrArray)
- newZeroPtrArray :: MonadIO m => m PtrArray
- getPtrArrayLen :: MonadIO m => PtrArray -> m Word32
- setPtrArrayLen :: MonadIO m => PtrArray -> Word32 -> m ()
- clearPtrArrayPdata :: MonadIO m => PtrArray -> m ()
- getPtrArrayPdata :: MonadIO m => PtrArray -> m (Ptr ())
- setPtrArrayPdata :: MonadIO m => PtrArray -> Ptr () -> m ()

# Exported types

newtype PtrArray Source #

Memory-managed wrapper type.

Constructors

PtrArray (ManagedPtr PtrArray) |

#### Instances

Instances details

Eq PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray Methods (==) :: PtrArray -> PtrArray -> Bool Source # (/=) :: PtrArray -> PtrArray -> Bool Source #
GBoxed PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray
ManagedPtrNewtype PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray Methods toManagedPtr :: PtrArray -> ManagedPtr PtrArray Source #
TypedObject PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray Methods glibType :: IO GType Source #
HasParentTypes PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray
tag ~ 'AttrSet => Constructible PtrArray tag Source # |
Instance details Defined in GI.GLib.Structs.PtrArray Methods new :: MonadIO m => (ManagedPtr PtrArray -> PtrArray) -> [AttrOp PtrArray tag] -> m PtrArray Source #
IsGValue (Maybe PtrArray) Source # | Convert `PtrArray` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GLib.Structs.PtrArray Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PtrArray -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PtrArray) Source #
type ParentTypes PtrArray Source # |
Instance details Defined in GI.GLib.Structs.PtrArray type ParentTypes PtrArray = '[] :: [Type]

newZeroPtrArray :: MonadIO m => m PtrArray Source #

Construct a `PtrArray` struct initialized to zero.

# Methods

# Properties

## len

number of pointers in the array

getPtrArrayLen :: MonadIO m => PtrArray -> m Word32 Source #

Get the value of the “`len`” field. When overloading is enabled, this is equivalent to

    get ptrArray #len

setPtrArrayLen :: MonadIO m => PtrArray -> Word32 -> m () Source #

Set the value of the “`len`” field. When overloading is enabled, this is equivalent to

    set ptrArray [ #len := value ]

## pdata

points to the array of pointers, which may be moved when the array grows

clearPtrArrayPdata :: MonadIO m => PtrArray -> m () Source #

Set the value of the “`pdata`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #pdata

getPtrArrayPdata :: MonadIO m => PtrArray -> m (Ptr ()) Source #

Get the value of the “`pdata`” field. When overloading is enabled, this is equivalent to

    get ptrArray #pdata

setPtrArrayPdata :: MonadIO m => PtrArray -> Ptr () -> m () Source #

Set the value of the “`pdata`” field. When overloading is enabled, this is equivalent to

    set ptrArray [ #pdata := value ]